<html>
<head>
<title>OGRE: OgreOverlayElement.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreOverlayElement.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreString_8h-source.html">OgreString.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreRenderable_8h-source.html">OgreRenderable.h</a>&quot;</code><br>
<code>#include &quot;OgreUTFString.h&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreOverlayElementCommands_8h-source.html">OgreOverlayElementCommands.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreRectangle_8h-source.html">OgreRectangle.h</a>&quot;</code><br>

<p>
<a href="OgreOverlayElement_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayElement.html">Ogre::OverlayElement</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Abstract definition of a 2D element to be displayed in an <a class="el" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents...">Overlay</a>.  <a href="classOgre_1_1OverlayElement.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreOverlayElement_8h.html#7840a0c97898ebe977e3331199ca28f5">OGRE_DEREF_DISPLAYSTRING_ITERATOR</a>(it)&nbsp;&nbsp;&nbsp;it.getCharacter()</td></tr>

<tr><td colspan="2"><br><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef UTFString&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#f7f1d73c45c54848737f8d59741822f0">Ogre::DisplayString</a></td></tr>

<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#a7655e44eacdfd45427ff35bde855f36">Ogre::GuiMetricsMode</a> { <a class="el" href="namespaceOgre.html#a7655e44eacdfd45427ff35bde855f36e7050335374e46745e3c956b940ace9d">Ogre::GMM_RELATIVE</a>, 
<a class="el" href="namespaceOgre.html#a7655e44eacdfd45427ff35bde855f361995cd35704cb8894f502f135b46309d">Ogre::GMM_PIXELS</a>, 
<a class="el" href="namespaceOgre.html#a7655e44eacdfd45427ff35bde855f362664ae89e7bd4079392f7feff26b3597">Ogre::GMM_RELATIVE_ASPECT_ADJUSTED</a>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Enum describing how the position / size of an element is to be recorded.  <a href="namespaceOgre.html#a7655e44eacdfd45427ff35bde855f36">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#3396780cdb2d731aa5e4389148bdc5f3">Ogre::GuiHorizontalAlignment</a> { <a class="el" href="namespaceOgre.html#3396780cdb2d731aa5e4389148bdc5f369adf8fd8fa9b00e1c4eba735d0a17cb">Ogre::GHA_LEFT</a>, 
<a class="el" href="namespaceOgre.html#3396780cdb2d731aa5e4389148bdc5f364a73804088bb89e7243a14874a457cd">Ogre::GHA_CENTER</a>, 
<a class="el" href="namespaceOgre.html#3396780cdb2d731aa5e4389148bdc5f3270f18cf07dbe4e75e1b790d02924205">Ogre::GHA_RIGHT</a>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Enum describing where '0' is in relation to the parent in the horizontal dimension.  <a href="namespaceOgre.html#3396780cdb2d731aa5e4389148bdc5f3">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#b0815ab90a2d9635695ec7e20e6c372e">Ogre::GuiVerticalAlignment</a> { <a class="el" href="namespaceOgre.html#b0815ab90a2d9635695ec7e20e6c372ebd89b9daa45f558ebf40181220421c2b">Ogre::GVA_TOP</a>, 
<a class="el" href="namespaceOgre.html#b0815ab90a2d9635695ec7e20e6c372e730c870b4637187418842a7545a8d40b">Ogre::GVA_CENTER</a>, 
<a class="el" href="namespaceOgre.html#b0815ab90a2d9635695ec7e20e6c372ee1858486046629fda36e43b0bfece87a">Ogre::GVA_BOTTOM</a>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Enum describing where '0' is in relation to the parent in the vertical dimension.  <a href="namespaceOgre.html#b0815ab90a2d9635695ec7e20e6c372e">More...</a><br></td></tr>
</table>
<hr><h2>Define Documentation</h2>
<a class="anchor" name="7840a0c97898ebe977e3331199ca28f5"></a><!-- doxytag: member="OgreOverlayElement.h::OGRE_DEREF_DISPLAYSTRING_ITERATOR" ref="7840a0c97898ebe977e3331199ca28f5" args="(it)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_DEREF_DISPLAYSTRING_ITERATOR          </td>
          <td>(</td>
          <td class="paramtype">it&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%">&nbsp;&nbsp;&nbsp;it.getCharacter()</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlayElement_8h-source.html#l00047">47</a> of file <a class="el" href="OgreOverlayElement_8h-source.html">OgreOverlayElement.h</a>.</p>

</div>
</div><p>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:58 2008
</p>
</body>
</html>
